libmwaw_applepict1::PictParser Class Reference

internal and low level: map opcode id -> OpCode More...

## Public Member Functions
| PictParser ()
| the constructor
bool | convertToPict2 (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| internal and low level: tries to convert a Pict1.0 picture stored in orig in a Pict2.0 picture

## Protected Attributes
std::map< int, OpCode > | m_mapIdOp
| the map

## Detailed Description

internal and low level: map opcode id -> OpCode

## Constructor & Destructor Documentation

## ◆ PictParser()

libmwaw_applepict1::PictParser::PictParser | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## ◆ convertToPict2()

bool libmwaw_applepict1::PictParser::convertToPict2 | ( | librevenge::RVNGBinaryData const & | orig,
|  | librevenge::RVNGBinaryData & | result )

internal and low level: tries to convert a Pict1.0 picture stored in orig in a Pict2.0 picture

Referenced by MWAWPictMac::convertPict1To2().

## Member Data Documentation

## ◆ m_mapIdOp

std::map<int,OpCode> libmwaw_applepict1::PictParser::m_mapIdOp
| protected

the map

Referenced by convertToPict2(), and PictParser().

The documentation for this class was generated from the following file:

- MWAWPictMac.cxx